Skip to main content

Links

The Meltano Cloud API uses link relations to communicate the capabilities of our resources. Where you see a link with one of the following relations, you can expect our API to act accordingly provided nothing has changed in the meantime.


Resource Type Relations

All resource types define an item and collection relation. These appear as or in (alongside actions) link relations throughout the Meltano Cloud API.

ResourceItem relationCollection relation
Profileprofileprofiles
Workspaceworkspaceworkspaces
Invitationinvitationinvitations
Membermembermembers
Administratoradministratoradministrators
Datasetdatasetdatasets
Channelchannelchannels
Commentcommentcomments
Tagtagtags
Dataplugindataplugindataplugins
Datastoredatastoredatastores
Pipelinepipelinepipelines
Jobjobjobs
Subscriptionsubscriptionsubscriptions
Notificationnotificationnotifications
API Keyapikeyapikeys

A link relation formed entirely from an item or collection relation will accept a GET request and return the respective resource. Expect 200 OK to indicate the resource was successfully returned.


Paging, Sizing and Sorting

Collection link relations accept paging, sizing and sorting query parameters, which can be used to modify the dimensions of the response payload.

Query ParameterDescriptionSyntaxExample
pageThe page of the collectionpage={page-number}?page=1
sizeThe number of elements to display per pagesize={number-of-elements}?size=20
sortThe property to sort the collection results by, in either ascending - asc - or descending - desc - ordersort={property-name},(asc|desc)?sort=name,asc

Searching and Filtering

A search action indicates the acceptance of the q query parameter, which is used to filter the content returned in the response payload. Filter definitions control the type of filtering applied.

Filter

TypeDescriptionSyntaxExample
Free textThe free text to filter by{free-text}?q=data%20insights
ChannelThe channel to filter byin:{channel-name}?q=in:meltano
TagThe tag to filter bytag:{tag-name}?q=tag:jupyternotebook

The Meltano Cloud API supports multiple filter definitions, including those of the same type:

?q=data%20insights in:meltano tag:jupyternotebook`
?tag:ai tag:deeplearning tag:machinelearning

Actions

Actions are phrases that define the behaviour of a HTTP transaction. A link relation is formed from an action verb either entirely or in conjunction with a subject resource relation in the format "{action} {resource-relation}".

"self"
"update workspace"
"publish dataset"
"create pipeline"
"new job"

latest

Make a GET request to this link to return the latest resource. Expect 200 OK to indicate the resource was successfully returned.

Make a GET request to this link to a return a filtered view of the current respective resource. Expect 200 OK to indicate the resource was successfully returned.

self

Make a GET request to this link to return the current respective resource. Expect 200 OK to indicate the resource was successfully returned.

new

Make a POST request to this link to initialise a new resource. Expect 200 OK to indicate the resource was successfully initialised.

publish

Make a POST request to this link to publish data into a resource. Expect 201 Created or 200 OK to indicate the resource was successfully published.

validate

Make a POST request to this link to validate a resource. Expect 200 OK to indicate the resource was successfully validated.

verify

Make a POST request to this link to verify a resource. Expect 200 OK to indicate the resource was successfully verified.

add

Make a PUT request to this link to add a new resource. Expect 200 OK to indicate the resource was successfully added.

create

Make a PUT request to this link to create a new resource. Expect 201 Created or 202 Accepted to indicate the resource was successfully created.

draft

Make a PUT request to this link to create or update a draft resource. Expect 200 OK or 201 Created to indicate the resource was successfully drafted.

make-default

Make a PUT request to this link to set a particular resource within a collection as default. Expect 200 OK to indicate the resource was successfully set as default.

update

Make a PUT request to this link to update a resource. Expect 200 OK to indicate the resource was successfully updated.

withdraw

Make a PUT request to this link to withdraw a resource. Expect 200 OK to indicate the resource was successfully withdrawn.

edit

Make a PATCH request to this link to edit a resource. Expect 200 OK to indicate the resource was successfully edited.

delete

Make a DELETE request to this link to delete a resource. Expect 204 No Content to indicate the resource was successfully deleted.